'use strict';

var lang = require('../internal/lang.js');

/**
 * The marker object that is used to denote an impossible value.
 *
 * For example, {@link NEVER} is returned from {@link CoercibleShape._coerce} when coercion is not possible.
 *
 * @group Other
 */
var NEVER = lang.freeze({});
function coerceToNever() {
    return NEVER;
}

exports.NEVER = NEVER;
exports.coerceToNever = coerceToNever;
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibmV2ZXIuanMiLCJzb3VyY2VzIjpbIm5ldmVyLnRzIl0sInNvdXJjZXNDb250ZW50IjpbbnVsbF0sIm5hbWVzIjpbImZyZWV6ZSJdLCJtYXBwaW5ncyI6Ijs7OztBQUVBOzs7Ozs7QUFNRztJQUNVLEtBQUssR0FBR0EsV0FBTSxDQUFDLEVBQVcsRUFBRTtTQUV6QixhQUFhLEdBQUE7QUFDM0IsSUFBQSxPQUFPLEtBQUssQ0FBQztBQUNmOzs7OzsifQ==
