import { ConstShape } from '../shape/ConstShape.mjs';

/**
 * Creates a shape that requires an input to be `undefined` at runtime and typed as `void`.
 *
 * @param options The issue options or the issue message.
 * @group DSL
 */
function void_(options) {
    return new ConstShape(undefined, options);
}

export { void_ };
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoidm9pZC5tanMiLCJzb3VyY2VzIjpbInZvaWQudHMiXSwic291cmNlc0NvbnRlbnQiOltudWxsXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6Ijs7QUFHQTs7Ozs7QUFLRztBQUNHLFNBQVUsS0FBSyxDQUFDLE9BQWdDLEVBQUE7QUFDcEQsSUFBQSxPQUFPLElBQUksVUFBVSxDQUFDLFNBQVMsRUFBRSxPQUFPLENBQUMsQ0FBQztBQUM1Qzs7OzsifQ==
