/**
 * The marker object that is used to denote an impossible value.
 *
 * For example, {@link NEVER} is returned from {@link CoercibleShape._coerce} when coercion is not possible.
 *
 * @group Other
 */
export declare const NEVER: never;
export declare function coerceToNever(): never;
//# sourceMappingURL=never.d.ts.map