import { freeze } from '../internal/lang.mjs';

/**
 * The marker object that is used to denote an impossible value.
 *
 * For example, {@link NEVER} is returned from {@link CoercibleShape._coerce} when coercion is not possible.
 *
 * @group Other
 */
var NEVER = freeze({});
function coerceToNever() {
    return NEVER;
}

export { NEVER, coerceToNever };
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibmV2ZXIubWpzIiwic291cmNlcyI6WyJuZXZlci50cyJdLCJzb3VyY2VzQ29udGVudCI6W251bGxdLCJuYW1lcyI6W10sIm1hcHBpbmdzIjoiOztBQUVBOzs7Ozs7QUFNRztJQUNVLEtBQUssR0FBRyxNQUFNLENBQUMsRUFBVyxFQUFFO1NBRXpCLGFBQWEsR0FBQTtBQUMzQixJQUFBLE9BQU8sS0FBSyxDQUFDO0FBQ2Y7Ozs7In0=
