export declare const ERR_SYNC_UNSUPPORTED = "Shape is async, use tryAsync, parseAsync, or parseOrDefaultAsync.";
export declare const ERR_SHAPE_EXPECTED = "Provider must return a shape. Are you accessing a lazy shape prematurely?";
export declare const ERR_ASYNC_FUNCTION = "The function signature is constrained by async shapes, use ensureAsync.";
export declare const CODE_ANY_DENY = "any.deny";
export declare const CODE_ANY_EXCLUDE = "any.exclude";
export declare const CODE_ANY_REFINE = "any.refine";
export declare const CODE_ARRAY_INCLUDES = "array.includes";
export declare const CODE_ARRAY_MIN = "array.min";
export declare const CODE_ARRAY_MAX = "array.max";
export declare const CODE_BIGINT_MIN = "bigint.min";
export declare const CODE_BIGINT_MAX = "bigint.max";
export declare const CODE_DATE_MIN = "date.min";
export declare const CODE_DATE_MAX = "date.max";
export declare const CODE_NUMBER_FINITE = "number.finite";
export declare const CODE_NUMBER_INT = "number.int";
export declare const CODE_NUMBER_GT = "number.gt";
export declare const CODE_NUMBER_GTE = "number.gte";
export declare const CODE_NUMBER_LT = "number.lt";
export declare const CODE_NUMBER_LTE = "number.lte";
export declare const CODE_NUMBER_MULTIPLE_OF = "number.multipleOf";
export declare const CODE_OBJECT_ALL_KEYS = "object.allKeys";
export declare const CODE_OBJECT_NOT_ALL_KEYS = "object.notAllKeys";
export declare const CODE_OBJECT_OR_KEYS = "object.orKeys";
export declare const CODE_OBJECT_XOR_KEYS = "object.xorKeys";
export declare const CODE_OBJECT_OXOR_KEYS = "object.oxorKeys";
export declare const CODE_OBJECT_EXACT = "object.exact";
export declare const CODE_OBJECT_PLAIN = "object.plain";
export declare const CODE_SET_MIN = "set.min";
export declare const CODE_SET_MAX = "set.max";
export declare const CODE_STRING_NON_BLANK = "string.nonBlank";
export declare const CODE_STRING_MIN = "string.min";
export declare const CODE_STRING_MAX = "string.max";
export declare const CODE_STRING_REGEX = "string.regex";
export declare const CODE_STRING_INCLUDES = "string.includes";
export declare const CODE_STRING_STARTS_WITH = "string.startsWith";
export declare const CODE_STRING_ENDS_WITH = "string.endsWith";
export declare const CODE_TYPE = "type";
export declare const CODE_TYPE_CONST = "type.const";
export declare const CODE_TYPE_ENUM = "type.enum";
export declare const CODE_TYPE_INSTANCE_OF = "type.instanceOf";
export declare const CODE_TYPE_INTERSECTION = "type.intersection";
export declare const CODE_TYPE_NEVER = "type.never";
export declare const CODE_TYPE_TUPLE = "type.tuple";
export declare const CODE_TYPE_UNION = "type.union";
//# sourceMappingURL=constants.d.ts.map