import { ConstShape } from '../shape/ConstShape.mjs';

/**
 * Creates the shape that requires an input to be equal to `NaN`.
 *
 * @param options The issue options or the issue message.
 * @group DSL
 */
function nan(options) {
    return new ConstShape(NaN, options);
}

export { nan };
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibmFuLm1qcyIsInNvdXJjZXMiOlsibmFuLnRzIl0sInNvdXJjZXNDb250ZW50IjpbbnVsbF0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiI7O0FBR0E7Ozs7O0FBS0c7QUFDRyxTQUFVLEdBQUcsQ0FBQyxPQUFnQyxFQUFBO0FBQ2xELElBQUEsT0FBTyxJQUFJLFVBQVUsQ0FBQyxHQUFHLEVBQUUsT0FBTyxDQUFDLENBQUM7QUFDdEM7Ozs7In0=
